/*
 * The SmartWeb Framework
 * Copyright (C) 2004-2006
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * For further informations on the SmartWeb Framework please visit
 *
 *                        http://smartweb.sourceforge.net
 */
 
package net.smartlab.web.page;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.TagSupport;

/**
 * @TODO documentation
 * 
 * @author rlogiacco@smartlab.net
 * @jsp.tag name = "notSelected"
 */
public class NotSelectedTag extends AbstractTag {

	/*# net.smartlab.web.paging.PageListTag container */

	/**
	 * @see javax.servlet.jsp.tagext.Tag#doStartTag()
	 */
	public int doStartTag() throws JspException {
		PageListTag container = (PageListTag)TagSupport.findAncestorWithClass(this, PageListTag.class);
		if (super.getPaginator().getPage() != super.getPaginator().getPages()[container.index]) {
			return EVAL_BODY_INCLUDE;
		}
		return SKIP_BODY;
	}
}